# Luncher
Aplikace pro profesionální management obědů.

Aplikace sestává ze dvou modulů + společných TypeScript definic (adresář `types`).
- server
  - backend psaný v [node.js](https://nodejs.dev)
- client
  - frontend psaný v [React.js](https://react.dev)

## Spuštění pro vývoj
### Závislosti
#### Klient/server
- [Node.js 18.x](https://nodejs.dev)
- [Yarn 1.22.x (Classic)](https://classic.yarnpkg.com)

### Spuštění na *nix platformách
- Nainstalovat závislosti viz předchozí bod
- Zkopírovat `server/.env.template` do `server/.env.development` a upravit dle potřeby
- Spustit `./run_dev.sh`. Na jiných platformách se lze inspirovat jeho obsahem, postup by měl být víceméně stejný.

## Sestavení a spuštění produkční verze v Docker
### Závislosti
- [Docker](https://www.docker.com)
- [Docker Compose](https://docs.docker.com/compose)

### Spuštení s traefik
- `docker compose -f compose-traefik.yml up --build -d`

## TODO
Dostupné [zde](TODO.md).