import { FeatureRequest } from "../types";
import { api } from "./Api";

const VOTING_API_PREFIX = '/api/voting';

export const getFeatureVotes = async () => {
    return await api.get<any>(`${VOTING_API_PREFIX}/getVotes`);
}

export const updateFeatureVote = async (option: FeatureRequest, active: boolean) => {
    return await api.post<any, any>(`${VOTING_API_PREFIX}/updateVote`, JSON.stringify({ option, active }));
}